# (NEW!) Create Metadata Group Create a new metadata group. A group has a name, an ordered list of attribute IDs, and an optional flag controlling whether the group name is visible. The order of attributes in the request is preserved and reflected in the response. The user submitting the request must have the Metadata Management admin privilege. Endpoint: POST /metadata/group Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `name` (string, required) Display name of the metadata group. Example: "Product Information" - `attributeIds` (array, required) Ordered list of attribute IDs to include in the group. Order is preserved in the response. Example: ["01dc8715-c660-44cb-b3a4-70f4779e6651","b1feb2cd-ab35-4fc6-917a-37a2e8419167","187f9ef9-b1e7-4a33-95e3-8ee99206d9fc","013ad220-b377-432d-bc6d-b1614dbb82c1"] - `isGroupNameVisible` (boolean) Whether the group name is visible when rendered on an asset. Defaults to false. ## Response 200 fields (application/json): - `id` (string) Unique ID of the group. Example: "52ce0235-02cc-46f6-8bdb-05238c76bf83" - `name` (string) Display name of the group. Example: "Product Information" - `searchField` (string) System-generated slug derived from the group name. Immutable after creation. Example: "product_information" - `customerId` (string) ID of the customer/tenant. Example: "1739271540099" - `createdBy` (string) UUID of the user who created the group. Example: "dc63db1b-1e63-43bc-877e-418931b6895c" - `createdEpoch` (integer) Creation timestamp in Unix milliseconds. Example: 1773070355217 - `createdDate` (string) Human-readable creation date in ISO 8601 format. Example: "2026-03-20T12:05:27Z" - `lastUpdatedBy` (string) UUID of the user who last updated the group. Example: "dc63db1b-1e63-43bc-877e-418931b6895c" - `lastUpdatedEpoch` (integer) Last updated timestamp in Unix milliseconds. Example: 1773070355217 - `lastUpdatedDate` (string) Human-readable last updated date in ISO 8601 format. Example: "2026-03-20T12:05:27Z" - `isGroupNameVisible` (boolean) Whether the group name is visible when rendered on an asset. - `usedIn` (object) Describes where the group is currently referenced. Present on GET by ID responses. - `usedIn.metadataTemplates` (array) Templates that reference this group. Empty array if none. - `usedIn.metadataTemplates.id` (string) Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890" - `usedIn.metadataTemplates.name` (string) Example: "Product Content" - `attributes` (array) Ordered list of attributes in the group. - `attributes.id` (string) ID of the attribute. Example: "01dc8715-c660-44cb-b3a4-70f4779e6651" - `attributes.name` (string) Display name of the attribute. Example: "Product Name" - `attributes.attributeType` (string) Type of the attribute. Example: "textbox" ## Response 400 fields (application/json): - `message` (string) - `detail` (string) ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)